--- /dev/null
+++ Makefile.Linux	2009-07-02 15:18:19.000000000 +0200
@@ -0,0 +1,3 @@
+extract:
+	tar xIfp ../hylafax-SuSE.tar.bz2
+
--- config.site.orig	2009-07-02 13:04:21.000000000 +0200
+++ config.site	2009-07-02 15:18:19.000000000 +0200
@@ -55,14 +55,14 @@
 #
 # Directory parameters.
 #
-#DIR_BIN="/usr/local/bin"		# directory for client apps
-#DIR_LIB="/usr/local/lib"		# directory for libhylafax
-#DIR_LIBDATA="/usr/lib/fax"		# directory for client data
-#DIR_LIBEXEC="/usr/lib/fax"		# directory for libraries&hidden apps
-#DIR_MAN="/usr/local/man"		# directory for manual pages
-#DIR_SPOOL="/var/spool/hylafax"		# directory for spooling area
-#DIR_SBIN="/var/spool/hylafax/bin"		# directory for system apps
-#DIR_LOCKS="/usr/spool/locks"		# directory for UUCP lock files
+DIR_BIN="/usr/bin"			# directory for client apps
+DIR_LIB="/usr/lib"			# directory for libhylafax
+DIR_LIBDATA="/usr/lib/fax"		# directory for client data
+DIR_LIBEXEC="/usr/lib/fax"		# directory for libraries&hidden apps
+DIR_MAN="/usr/share/man"		# directory for manual pages
+DIR_SPOOL="/var/spool/hylafax"		# directory for spooling area
+DIR_SBIN="/usr/sbin"			# directory for system apps
+DIR_LOCKS="/var/spool/locks"		# directory for UUCP lock files
 #FONTMAP="/usr/share/ghostscript/3.33"	# directorys containing Fontmap files
 #PATH_AFM="/usr/lib/DPS/AFM"		# directorys for AFM files
 
@@ -71,18 +71,18 @@
 #
 #DEFVRES="196"				# default vertical res for outbound fax
 #FILLORDER="MS2LSB"			# bit order of cpu (MSB2LSB/LSB2MSB)
-#FAXGID="uucp"				# group ID for fax user
-#FAXUID="uucp"				# user ID for fax user
-#PAGESIZE="North American Letter"	# default page size
+FAXGID="uucp"				# group ID for fax user
+FAXUID="fax"				# user ID for fax user
+PAGESIZE="ISO A4"			# default page size
 #SYSGID="sys"				# group ID for system installs
 #SYSUID="bin"				# user ID for system installs
 #LOCKS="ascii"				# default UUCP lockfile scheme
 #
-#PATH_GETTY="/etc/getty"		# pathname of suitable getty program
-#PATH_VGETTY="/bin/vgetty"		# pathname of voice getty program
-#PATH_EGETTY="/bin/egetty"		# pathname of external getty program
-#PATH_SENDMAIL="/usr/lib/sendmail"	# pathname of suitable sendmail program
-#PATH_GSRIP="/usr/local/bin/gs"		# pathname of Ghostscript-based RIP
+PATH_GETTY="/usr/sbin/mgetty"		# pathname of suitable getty program
+PATH_VGETTY="/usr/sbin/vgetty"		# pathname of voice getty program
+PATH_EGETTY="/usr/sbin/egetty"		# pathname of external getty program
+PATH_SENDMAIL="/usr/sbin/sendmail"	# pathname of suitable sendmail program
+PATH_GSRIP="/usr/bin/gs"		# pathname of Ghostscript-based RIP
 #PATH_DPSRIP="/var/spool/hylafax/bin/ps2fax.exe" # pathname of DPS-based RIP
 #PATH_IMPRIP="/usr/lib/print/psrip"	# pathname of Impressario 2.1 RIP
 #MANSCHEME="sysv-source-cat-strip"	# manual page installation scheme
@@ -117,8 +117,8 @@
 #CXX="gcc"				# name/pathname of C++ compiler
 #CXXFILE="-x c++"			# options for proper C++ processing
 #ENVOPTS="-Aa"				# options for getting ANSI C
-#GCOPTS="-g"				# options to pass C compiler
-#GCXXOPTS="-g"				# options to pass C++ compiler
+GCOPTS="-O2"				# options to pass C compiler
+#GCXXOPTS="-O2"				# options to pass C++ compiler
 #GENDIST="/sbin/gendist"		# pathname of SGI inst generator program
 #INSTALL='${SHELL} ${PORT}/install.sh'	# SGI install program/emulator
 #LIBMALLOC="auto"			# yes|no|auto configure -lmalloc use
@@ -140,9 +140,9 @@
 # to link against.  If libtiff is installed in a
 # non-standard location then setup LIBTIFF accordingly.
 #
-#LIBTIFF="-L/usr/local/lib -ltiff"	# linkage convention for libtiff
-#TIFFINC="-I/usr/local/include"		# place to find tiffio.h
-#TIFFBIN="/usr/local/bin"		# where TIFF tools live
+LIBTIFF="-ltiff -ljpeg"		# linkage convention for libtiff
+TIFFINC="-I/usr/include"		# place to find tiffio.h
+TIFFBIN="/usr/bin"		# where TIFF tools live
 
 #
 # The source for the ZLIB library is not required
@@ -150,8 +150,8 @@
 # to link against.  If ZLIB is installed in a 
 # non-standard location then setup LIBZ accordingly.
 #
-#LIBZ="-L/usr/local/lib -lz"		# linkage convention for libz
-#ZLIBINC="-I/usr/local/include"		# place to find zlib.h
+LIBZ="-lz"			# linkage convention for libz
+ZLIBINC="../regex"		# place to find zlib.h
 
 #
 # The source for the POSIX regular expression package
@@ -169,7 +169,7 @@
 # and rebuild the message template catalogs, you will need it.  Some
 # platforms may need extra options to link for libintl as well.
 #
-#INTLINC="-I/usr/local/include"
+#INTLINC="-I/usr/include"
 #LIBINTL=""				# configure will try LIBINTL="-lintl"
 #XGETTEXT="xgettext --foreign-user -ctranslator --no-wrap --sort-by-file --omit-header --strict --indent --force-po"
 #MSGMERGE="msgmerge --no-wrap --sort-by-file"
@@ -250,5 +250,5 @@
 #MV_F="-f"				# option to ${MV} to force operation
 #RMCMD="/bin/rm"			# pathname of suitable rm program
 #SED="/bin/sed"				# pathname of suitable sed program
-#SCRIPT_SH="/bin/sh"			# pathname of suitable shell
+SCRIPT_SH="/bin/sh"			# pathname of suitable shell
 #SORT="/bin/sort"			# pathname of suitable sort program
--- configure.orig	2009-07-02 13:06:33.000000000 +0200
+++ configure	2009-07-02 15:24:17.000000000 +0200
@@ -51,7 +51,7 @@ CGIPATH=/cgi-bin
 LOCALE_DOMAIN=hylafax
 DEFVRES=98
 PAGESIZE="North American Letter"
-FAXUID=uucp
+FAXUID=fax
 FAXGID=
 SYSUID=bin
 SYSGID=
@@ -276,7 +276,7 @@ ZLIBINC"
 dumpvars()
 {
     (for i do echo "$i"; done) |
-	while read a b; do eval c=\$${b:-$a}; echo "/@$a@/s;;$c;g"; done
+	while read a b; do eval c=\$${b:-$a}; echo "s;@$a@;$c;g"; done
 }
 dumpvals()
 {
@@ -812,6 +812,7 @@ checkGCCVersion()
     app=$1; shift
     eval `$app -v 2>&1 | \
 	sed -n -e '/[Vv]ersion/s/[^(]* [a-z\-]*\([0-9]*\)\.\([0-9]*\).\([0-9]*\).*/GCCdist=\1;GCCmajor=\2;GCCminor=\3/p'`
+    test -z "$GCCminor" && GCCminor=0
     GCCversion="${GCCdist}.${GCCmajor}.${GCCminor}"; export GCCversion
     if [ ${GCCdist} -gt $1 ]; then
         return 0
@@ -938,7 +939,7 @@ if [ -z "$GCOPTS" ]; then
 	Note "Looks like $CCOMPILER supports the -g option."
 	# NB: cannot use captureX here 'cuz we lose stderr
 	if $CCOMPILER $ENVOPTS $GCOPTS -c -g -O dummy.c >t 2>&1 && CheckForGandO t; then
-	    GCOPTS="$GCOPTS -g"
+	    GCOPTS="$GCOPTS"
 	else
 	    Note "... but not together with the -O option, not using it."
 	fi
@@ -1102,7 +1103,7 @@ if [ -z "$GCXXOPTS" ]; then
 	Note "Looks like $CXXCOMPILER supports the -g option."
 	# NB: cannot use captureX here 'cuz we lose stderr
 	if $CXXCOMPILER $ENVOPTS -c -g -O dummy.C >t 2>&1 && CheckForGandO t; then
-	    GCXXOPTS="$GCXXOPTS -g"
+	    GCXXOPTS="$GCXXOPTS"
 	else
 	    Note "... but not together with the -O option, not using it."
 	fi
@@ -1333,7 +1334,7 @@ if [ -z "$RANLIB" ]; then
 fi
 
 cat>dummy.C<<EOF
-#include "new.h"
+#include <new.h>
 struct foo {
     int x;
     foo();
@@ -3045,7 +3046,7 @@ BuildPortDotH()
 	Note "... configure use of logwtmp (BSD-style wtmp logging)"
 	CheckForFuncDecl logwtmp utmp.h || {
 	    AddFuncDecl logwtmp \
-		'int logwtmp(const char*, const char*, const char*);'
+		'void logwtmp(const char*, const char*, const char*);'
 	}
 	CheckForLibrary logout -lutil && {
 	    echo '#define HAS_LOGOUT 1'
@@ -3417,7 +3418,7 @@ if [ "$DSO" = auto ]; then
 		echo 'int f() { return 0; }'>t.c
 		capture cat t.c
 		runMake t \
-		    't.o:; ${CCF} -c t.c' \
+		    't.o:; ${CCF} -fpic -c t.c' \
 		    "t: t.o; \${CCF} ${DSOOPTS} -o t.${DSOSUF} t.o"
 	    }
 	    CheckCXXDSO()
@@ -3426,7 +3427,7 @@ if [ "$DSO" = auto ]; then
 		echo 'int f() { return 0; }'>t.c++
 		capture cat t.c++
 		runMake t \
-		    "t.o:; \${C++F} -c \${C++FILE} t.c++${MAKECXXOVERRIDE}" \
+		    "t.o:; \${C++F} -fpic -c \${C++FILE} t.c++${MAKECXXOVERRIDE}" \
 		    "t:t.o; \${C++F} ${DSOOPTS} -o t.${DSOSUF} t.o"
 	    }
 	else
--- defs.in.orig	2009-07-02 15:27:24.000000000 +0200
+++ defs.in	2009-07-02 15:25:31.000000000 +0200
@@ -170,7 +170,7 @@ LIBINTL		= @LIBINTL@
 # insufficient to locate the library you can setup a config.local
 # file that defines LIBTIFF and/or TIFFINC (used to find tiffio.h)
 #
-TIFFINC		= @TIFFINC@
+#TIFFINC		= @TIFFINC@
 LIBTIFF		= @LIBTIFF@
 TIFFBIN		= @TIFFBIN@
 #
@@ -181,7 +181,7 @@ TIFFBIN		= @TIFFBIN@
 # insufficient to locate the library you can setup a config.local
 # file that defines LIBZ and/or ZINC (used to find zlib.h)
 #
-ZLIBINC		= @ZLIBINC@
+#ZLIBINC		= @ZLIBINC@
 LIBZ		= @LIBZ@
 #
 # regex-related definitions.  The source for the POSIX regular
@@ -232,7 +232,7 @@ GCINCS		= -I. -I${DEPTH} -I${SRCDIR} \
 #
 # C++ flags are decomposed using the same hierarchy as C flags.
 #
-C++FLAGS	= ${CVERSION} ${VC++FLAGS} ${LC++FLAGS} ${GC++FLAGS}
+C++FLAGS	= ${CVERSION} ${VC++FLAGS} ${LC++FLAGS} ${GC++FLAGS} -D_GNU_SOURCE
 
 VC++FLAGS	= ${VC++DEFS} ${VC++INCS} ${VC++OPTS}
 LC++FLAGS	= ${LC++DEFS} ${LC++INCS} ${LC++OPTS}
--- etc/Makefile.in.orig	2009-07-02 15:28:00.000000000 +0200
+++ etc/Makefile.in	2009-07-02 15:26:01.000000000 +0200
@@ -39,6 +39,7 @@
 DEPTH=..
 SUBDIR=etc
 @MAKEINCLUDE@ @MAKELQUOTE@${DEPTH}/defs@MAKERQUOTE@
+DESTDIR=/
 
 DIR_SYSVINIT	= @SYSVINITDIR@
 DIR_SYSVINITSTART	= @SYSVINITSTARTDIR@
--- etc/faxaddmodem.sh.in.orig	2009-07-02 15:28:26.000000000 +0200
+++ etc/faxaddmodem.sh.in	2009-07-02 15:44:38.000000000 +0200
@@ -255,6 +255,13 @@ EOF
 faxGID=`$GREP "^$PROTOGID:" $GROUP | cut -d: -f3`
 if [ -z "$faxGID" ]; then faxGID=$defPROTOGID; fi
 
+if [ -x /usr/sbin/faxaddmodem.capi ]; then
+    promptForBooleanParameter no "Do you want to setup a CAPI 2.0 based ISDN modem"
+    if [ "$param" = "yes" ]; then
+	/usr/sbin/faxaddmodem.capi $TTY
+    fi
+fi
+
 DEVPATH="/dev/"
 if [ -n "`echo $TTY | grep "^/"`" ]; then
     DEVPATH=""
@@ -499,7 +506,9 @@ defaultIXOAckTimeout=\"\"
 setupServerParameters()
 {
     for i in $ServerParameters; do
+	set -o noglob
 	eval $i=\$default$i
+	set +o noglob
     done
 }
 
@@ -675,6 +684,7 @@ if [ -f $SCHEDCONFIG ]; then
     echo "Reading scheduler config file $SCHEDCONFIG."
     echo ""
     getServerParameters $SCHEDCONFIG
+    schedconfig="yes"
 fi
 if [ -f $CONFIG ] || [ -z "$OLDCONFIG" ]; then
     OLDCONFIG=$CONFIG
@@ -688,6 +698,10 @@ else
     echo ""
     getServerParameters $MODEMCONFIG/skel # get from skeletal file
     ok="prompt"				# prompt for parameters
+    # restore overwritten already entered values
+    if [ "$schedconfig" = "yes" ]; then
+	getServerParameters $SCHEDCONFIG
+    fi
 fi
 
 CHECK="`$GREP "AreaCode:" $SPOOL/etc/config | sed 's/.*:[	 ]*//g'`"
@@ -834,7 +848,7 @@ SendToModem()
     sleep 1					# wait for previous kill
     case $TARGET in
     *-linux*)	;;
-    *)	onDev $STTY 0; sleep 1	;;		# reset the modem (hopefully)
+    *)	onDev $STTY -clocal; sleep 1	;;		# reset the modem (hopefully)
     esac
 						# start listening for output
     onDev -c "$STTY clocal && exec $CAT $tdev"; sleep 2
@@ -891,12 +905,13 @@ while [ -z "$RESULT" ]; do
     # reset the modem.  If something goes wrong, it'll
     # nag the user to check on the problem.
     #
-    (trap "exit 1" 1 2 15;
+    (trap "exit 1" 1 2;
      while true; do
 	sleep 10;
 	echo ""
 	echo "Hmm, something seems to be hung, check your modem eh?"
      done)& nagpid=$!
+    trap "$RMCMD \$JUNK; $RMCMD -r $TMPDIR; kill $nagpid \$catpid; exit 0" 0
     trap "$RMCMD \$JUNK; $RMCMD -r $TMPDIR; kill $nagpid \$catpid; exit 1" 1 2 15
     SendToModem "AT+FCLASS=?" 			# ask for class support
 
@@ -905,6 +920,7 @@ while [ -z "$RESULT" ]; do
     wait $nagpid            # Really waits its end
     exec 2>&3 3>&-          # Restore stderr
 
+    trap "$RMCMD \$JUNK; $RMCMD -r $TMPDIR; test \"\$catpid\" && kill \$catpid; exit 0" 0
     trap "$RMCMD \$JUNK; $RMCMD -r $TMPDIR; test \"\$catpid\" && kill \$catpid; exit 1" 1 2 15
     sleep 1
 
@@ -1626,7 +1660,7 @@ AT	Class1EOPWaitCmd	\
 	Maximum time to wait for OK after aborting a receive (ms)
 #	Class1RecvIdentTimer	\
 	Maximum wait for initial identification frame (ms)
-#	Class1SwitchingCmd	\
+S	Class1SwitchingCmd	\
 	Command to ensure silence after receiving HDLC and before sending
 #	Class1TCFRecvTimeout	Timeout for receiving TCF (ms)
 EOF
@@ -1796,6 +1830,7 @@ RequiredSchedulerParameters="
     InternationalPrefix
     DialStringRules
     ServerTracing
+    SessionTracing
 "
 OptionalSchedulerParameters="
     ContCoverPage
@@ -1810,7 +1845,6 @@ OptionalSchedulerParameters="
     SendFaxCmd
     SendPageCmd
     SendUUCPCmd
-    SessionTracing
     TimeOfDay
     Use2D
 "
--- etc/faxsetup.sh.in.orig	2009-07-02 15:45:00.000000000 +0200
+++ etc/faxsetup.sh.in	2009-07-02 15:47:51.000000000 +0200
@@ -932,6 +932,7 @@ if onServer; then
     (umask 077 ; mkdir $TMPDIR) || exit 1
 
     JUNK="etc/setup.tmp"
+    trap "$RM \$JUNK; $RM -r \$TMPDIR; exit 0" 0
     trap "$RM \$JUNK; $RM -r \$TMPDIR; exit 1" 1 2 15
 
     exec 5>etc/setup.tmp
@@ -2083,6 +2084,7 @@ RequiredSchedulerParameters="
     InternationalPrefix
     DialStringRules
     ServerTracing
+    SessionTracing
 "
 OptionalSchedulerParameters="
     ContCoverPage
@@ -2097,7 +2099,6 @@ OptionalSchedulerParameters="
     SendFaxCmd
     SendPageCmd
     SendUUCPCmd
-    SessionTracing
     TimeOfDay
     Use2D
 "
@@ -2126,11 +2127,11 @@ SchedulerParameters="
 echoSchedulerParameters()
 {
     (for i in $RequiredSchedulerParameters; do
-	eval echo \"$i:\$$i:\"
+	eval echo \"$i\\x00\$$i\\x00\"
      done
      for i in $OptionalSchedulerParameters; do
-	eval echo \"$i:\$$i:\$default$i\"
-     done) | $AWK -F: '
+	eval echo \"$i\\x00\$$i\\x00\$default$i\"
+     done) | $AWK -F\000 '
 function p(tag, value)
 {
     tabs = substr("\t\t\t", 1, 3-int((length(tag)+1)/8));
@@ -2148,8 +2149,8 @@ $2 != $3{ p($1, $2) }'
 printSchedulerConfig()
 {
     (for i in $SchedulerParameters; do
-	eval echo \"$i:\$$i:\$default$i\"
-    done) | $AWK -F: '
+	eval echo \"$i\\x00\$$i\\x00\$default$i\"
+    done) | $AWK -F\000 '
 function p(tag, value)
 {
     tabs = substr("\t\t\t", 1, 3-int((length(tag)+1)/8));
--- etc/probemodem.sh.in.orig	2009-07-02 15:59:42.000000000 +0200
+++ etc/probemodem.sh.in	2009-07-02 16:01:46.000000000 +0200
@@ -133,6 +133,7 @@ done
 # Lock the device for later use when deducing the modem type.
 #
 JUNK="$LOCKX $OUT"
+trap "@RM@ -f $JUNK; @RM@ -fr $TMPDIR; exit 0" 0
 trap "@RM@ -f $JUNK; @RM@ -fr $TMPDIR; exit 1" 1 2 15
 
 LOCKSTR=`expr "         $$" : '.*\(..........\)'`
@@ -212,7 +213,7 @@ SendToModem()
     sleep 1					# wait for previous kill
     case $TARGET in    
     *-linux*)	;;
-    *)	onDev $STTY 0; sleep 1	;;		# reset the modem (hopefully)
+    *)	onDev $STTY -clocal; sleep 1	;;		# reset the modem (hopefully)
     esac
 						# start listening for output
     onDev -c "$STTY clocal && exec $CAT $tdev"; sleep 2
@@ -270,12 +271,13 @@ while [ -z "$RESULT" ]; do
     # reset the modem.  If something goes wrong, it'll
     # nag the user to check on the problem.
     #
-    (trap "exit 1" 1 2 15;
+    (trap "exit 1" 1 2;
      while true; do
 	sleep 10;
 	echo ""
 	echo "Hmm, something seems to be hung, check your modem eh?"
      done)& nagpid=$!
+    trap "@RM@ -f \$JUNK; @RM@ -fr $TMPDIR; kill $nagpid \$catpid; exit 0" 0
     trap "@RM@ -f \$JUNK; @RM@ -fr $TMPDIR; kill $nagpid \$catpid; exit 1" 1 2 15
 
     if [ x"$ATCMD" != x"" ]; then
@@ -289,6 +291,7 @@ while [ -z "$RESULT" ]; do
     wait $nagpid		# Really waits its end
     exec 2>&3 3>&-		# Restore stderr
 
+    trap "@RM@ -f \$JUNK; @RM@ -fr $TMPDIR; test \"\$catpid\" && kill \$catpid; exit 0" 0
     trap "@RM@ -f \$JUNK; @RM@ -fr $TMPDIR; test \"\$catpid\" && kill \$catpid; exit 1" 1 2 15
     sleep 1
 
--- man/faxrcvd.1m.orig	2009-07-02 16:02:08.000000000 +0200
+++ man/faxrcvd.1m	2009-07-02 16:02:26.000000000 +0200
@@ -75,7 +75,7 @@ the value of various identification indi
 .SH NOTES
 This script can route facsimile directly to the intended recipient.
 To do this create a shell script
-.B etc/FaxDispatch
+.B bin/FaxDispatch
 in the spooling area that sets
 .I SENDTO
 to the receiver's electronic mail address.  For example,
--- port/install.sh.in.orig	2009-07-02 16:02:36.000000000 +0200
+++ port/install.sh.in	2009-07-02 16:03:07.000000000 +0200
@@ -210,7 +210,7 @@ install()
 	    do_chXXX $CHGRP $target
 	fi
 	$VERBOSE "$CHMOD $target"
-	do_chXXX $CHMOD $target
+	$CHMOD $target
 	if [ $STRIP != ":" ] && [ -x $ROOT$DESTDIR$f ]; then
 	    $STRIP $target >/dev/null 2>&1 || true
 	    $VERBOSE "$STRIP $target"
--- libhylafax/Sys.h.orig	2009-07-02 16:03:47.000000000 +0200
+++ libhylafax/Sys.h	2009-07-02 16:04:00.000000000 +0200
@@ -40,10 +40,6 @@
 
 #include "port.h"			// for anything not in system includes
 
-#if HAS_OSFCN_H
-#include <osfcn.h>
-#endif
-
 /*
  * Wrapper functions for C library calls.
  *
--- util/faxcron.sh.in.orig	2009-07-02 16:04:17.000000000 +0200
+++ util/faxcron.sh.in	2009-07-02 16:04:53.000000000 +0200
@@ -37,9 +37,11 @@
 # 4. Notify about sites that currently have jobs rejected.
 #
 
+/usr/sbin/rchylafax status &> /dev/null || exit 0
+
 AGEINFO=30			# purge remote info after 30 days inactivity
 AGELOG=30			# keep log info for last 30 days
-AGERCV=7			# purge received facsimile after 7 days
+AGERCV=9999			# purge received facsimile after 7 days
 AGETMP=1			# purge orphaned temp files after 1 day
 FAXUSER=@FAXUID@		# owner of log files
 LOGMODE=0644			# mode for log files
--- libhylafax/typerules.orig	2009-07-02 16:05:08.000000000 +0200
+++ libhylafax/typerules	2009-07-02 16:08:46.000000000 +0200
@@ -147,8 +147,7 @@
 0	string		WNGZWZSS	error	Wingz spreadsheet support not configured
 0       string          #Inventor V	error	IRIS Inventor file support not configured
 >15     string          binary		error	binary IRIS Inventor file support not configured
->15     string          ascii		ps	%F/textfmt -B -f Courier-Bold\
-						-Ml=0.4in -p 11 -s %s >%o <%i
+>15     string          ascii		ps	%F/a2pswrap %s %o %i
 #
 0	string		\x89PNG		error	PNG support not configured
 0	short		0xffd8		error	filetype conversion support not configured
@@ -186,5 +185,5 @@
 
 #  Support 7-bit text which would otherwise be seen as binary.
 #
-#0	byte		x		ps	%F/textfmt -B -f Courier-Bold \
-#							  -p 11 -s %s >%o <%i
+0	ascii		x		ps	%F/a2pswrap %s %o %i \
+						"--chars-per-line=80"
